<?php
/*

  Plugin Name: Calender Events system
  Plugin URI: http://wordpress.org
  Description: Manage and Display your Daily Events
  Version: 1.2
  Author: XIS
  Author URI: http://www.20script.ir

 */


global $wpdb;
$siteurl = get_option('siteurl');
define('PLUGIN_URL', $siteurl . '/wp-content/plugins/calender-events');

function cal_func($atts) {
    include "calender.php";
}

add_action('wp_enqueue_scripts', 'smw_front_enqueue' );
add_shortcode('calender', 'cal_func');

// 
add_action( 'admin_enqueue_scripts', 'smw_enqueue' );


// Registers the new post type and taxonomy

function wpt_event_posttype() {
    register_post_type('events', array(
        'labels' => array(
            'name' => __('Events'),
            'singular_name' => __('Event'),
            'add_new' => __('Add New Event'),
            'add_new_item' => __('Add New Event'),
            'edit_item' => __('Edit Event'),
            'new_item' => __('Add New Event'),
            'view_item' => __('View Event'),
            'search_items' => __('Search Event'),
            'not_found' => __('No events found'),
            'not_found_in_trash' => __('No events found in trash')
        ),
        'public' => true,
        'menu_icon' => PLUGIN_URL . '/images/menu.png',
        'supports' => array('title', 'editor'),
        'capability_type' => 'post',
        'rewrite' => array("slug" => "events"), // for permalinks format
        'menu_position' => 5
            )
    );
}

add_action('init', 'wpt_event_posttype');
$prefix = 'dbt_';



$meta_box = array(
    'id' => 'my-meta-box',
    'title' => 'Event Details',
    'page' => 'events',
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
        array(
            'name' => 'Date',
            'desc' => '',
            'id' => $prefix . 'date',
            'type' => 'text',
            'std' => ''
        ),
        array(
            'name' => 'Start Time',
            'id' => $prefix . 'start',
            'type' => 'select',
            'options' => array(
                array('name' => '12.00 AM', 'value' => '0.00'),
                array('name' => '12.30 AM', 'value' => '0.50'),
                array('name' => '01.00 AM', 'value' => '1.00'),
                array('name' => '01.30 AM', 'value' => '1.50'),
                array('name' => '02.00 AM', 'value' => '2.00'),
                array('name' => '02.30 AM', 'value' => '2.50'),
                array('name' => '03.00 AM', 'value' => '3.00'),
                array('name' => '03.30 AM', 'value' => '3.50'),
                array('name' => '04.00 AM', 'value' => '4.00'),
                array('name' => '04.30 AM', 'value' => '4.50'),
                array('name' => '05.00 AM', 'value' => '5.00'),
                array('name' => '05.30 AM', 'value' => '5.50'),
                array('name' => '06.00 AM', 'value' => '6.00'),
                array('name' => '06.30 AM', 'value' => '6.50'),
                array('name' => '07.00 AM', 'value' => '7.00'),
                array('name' => '07.30 AM', 'value' => '7.50'),
                array('name' => '08.00 AM', 'value' => '8.00'),
                array('name' => '08.30 AM', 'value' => '8.50'),
                array('name' => '09.00 AM', 'value' => '9.00'),
                array('name' => '09.30 AM', 'value' => '9.50'),
                array('name' => '10.00 AM', 'value' => '10.00'),
                array('name' => '10.30 AM', 'value' => '10.50'),
                array('name' => '11.00 AM', 'value' => '11.00'),
                array('name' => '11.30 AM', 'value' => '11.50'),
                array('name' => '12.00 PM', 'value' => '12.00'),
                array('name' => '12.30 PM', 'value' => '12.50'),
                array('name' => '01.00 PM', 'value' => '13.00'),
                array('name' => '01.30 PM', 'value' => '13.50'),
                array('name' => '02.00 PM', 'value' => '14.00'),
                array('name' => '02.30 PM', 'value' => '14.50'),
                array('name' => '03.00 PM', 'value' => '15.00'),
                array('name' => '03.30 PM', 'value' => '15.50'),
                array('name' => '04.00 PM', 'value' => '16.00'),
                array('name' => '04.30 PM', 'value' => '16.50'),
                array('name' => '05.00 PM', 'value' => '17.00'),
                array('name' => '05.30 PM', 'value' => '17.50'),
                array('name' => '06.00 PM', 'value' => '18.00'),
                array('name' => '06.30 PM', 'value' => '18.50'),
                array('name' => '07.00 PM', 'value' => '19.00'),
                array('name' => '07.30 PM', 'value' => '19.50'),
                array('name' => '08.00 PM', 'value' => '20.00'),
                array('name' => '08.30 PM', 'value' => '20.50'),
                array('name' => '09.00 PM', 'value' => '21.00'),
                array('name' => '09.30 PM', 'value' => '21.50'),
                array('name' => '10.00 PM', 'value' => '22.00'),
                array('name' => '10.30 PM', 'value' => '22.50'),
                array('name' => '11.00 PM', 'value' => '23.00'),
                array('name' => '11.30 PM', 'value' => '23.50'),
            )
        ),
        array(
            'name' => 'End Time',
            'id' => $prefix . 'end',
            'type' => 'select',
            'options' => array(
                array('name' => '12.00 AM', 'value' => '0.00'),
                array('name' => '12.30 AM', 'value' => '0.50'),
                array('name' => '01.00 AM', 'value' => '1.00'),
                array('name' => '01.30 AM', 'value' => '1.50'),
                array('name' => '02.00 AM', 'value' => '2.00'),
                array('name' => '02.30 AM', 'value' => '2.50'),
                array('name' => '03.00 AM', 'value' => '3.00'),
                array('name' => '03.30 AM', 'value' => '3.50'),
                array('name' => '04.00 AM', 'value' => '4.00'),
                array('name' => '04.30 AM', 'value' => '4.50'),
                array('name' => '05.00 AM', 'value' => '5.00'),
                array('name' => '05.30 AM', 'value' => '5.50'),
                array('name' => '06.00 AM', 'value' => '6.00'),
                array('name' => '06.30 AM', 'value' => '6.50'),
                array('name' => '07.00 AM', 'value' => '7.00'),
                array('name' => '07.30 AM', 'value' => '7.50'),
                array('name' => '08.00 AM', 'value' => '8.00'),
                array('name' => '08.30 AM', 'value' => '8.50'),
                array('name' => '09.00 AM', 'value' => '9.00'),
                array('name' => '09.30 AM', 'value' => '9.50'),
                array('name' => '10.00 AM', 'value' => '10.00'),
                array('name' => '10.30 AM', 'value' => '10.50'),
                array('name' => '11.00 AM', 'value' => '11.00'),
                array('name' => '11.30 AM', 'value' => '11.50'),
                array('name' => '12.00 PM', 'value' => '12.00'),
                array('name' => '12.30 PM', 'value' => '12.50'),
                array('name' => '01.00 PM', 'value' => '13.00'),
                array('name' => '01.30 PM', 'value' => '13.50'),
                array('name' => '02.00 PM', 'value' => '14.00'),
                array('name' => '02.30 PM', 'value' => '14.50'),
                array('name' => '03.00 PM', 'value' => '15.00'),
                array('name' => '03.30 PM', 'value' => '15.50'),
                array('name' => '04.00 PM', 'value' => '16.00'),
                array('name' => '04.30 PM', 'value' => '16.50'),
                array('name' => '05.00 PM', 'value' => '17.00'),
                array('name' => '05.30 PM', 'value' => '17.50'),
                array('name' => '06.00 PM', 'value' => '18.00'),
                array('name' => '06.30 PM', 'value' => '18.50'),
                array('name' => '07.00 PM', 'value' => '19.00'),
                array('name' => '07.30 PM', 'value' => '19.50'),
                array('name' => '08.00 PM', 'value' => '20.00'),
                array('name' => '08.30 PM', 'value' => '20.50'),
                array('name' => '09.00 PM', 'value' => '21.00'),
                array('name' => '09.30 PM', 'value' => '21.50'),
                array('name' => '10.00 PM', 'value' => '22.00'),
                array('name' => '10.30 PM', 'value' => '22.50'),
                array('name' => '11.00 PM', 'value' => '23.00'),
                array('name' => '11.30 PM', 'value' => '23.50'),
            )
        )
    )
);



add_action('admin_menu', 'add_meta_box_to_event');

// Callback function to show fields in meta box

function show_meta_box() {
    global $meta_box, $post;
    
   
   
    ?>
 
    <?php
    // Use nonce for verification
    echo '<input type="hidden" name="event_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
    echo '<table class="form-table">';
    foreach ($meta_box['fields'] as $field) {
        // get current post meta data
        $meta = get_post_meta($post->ID, $field['id'], true);
        echo '<tr>',
        '<th style="width:20%"><label for="', $field['id'], '">', $field['name'], '</label></th>',
        '<td>';
        switch ($field['type']) {
            case 'text':
                echo '<input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : $field['std'], '" size="30" style="width:97%" />',
                '<br />', $field['desc'];
                break;
            case 'textarea':
                echo '<textarea name="', $field['id'], '" id="', $field['id'], '" cols="60" rows="4" style="width:97%">', $meta ? $meta : $field['std'], '</textarea>',
                '<br />', $field['desc'];
                break;
            case 'select':
                echo '<select name="', $field['id'], '" id="', $field['id'], '">';
                foreach ($field['options'] as $option) {
                    echo '<option value="', $option['value'], '"', $meta == $option['value'] ? ' selected="selected"' : '', '>', $option['name'], '</option>';
                }
                echo '</select>';
                break;
            case 'radio':
                foreach ($field['options'] as $option) {
                    echo '<input type="radio" name="', $field['id'], '" value="', $option['value'], '"', $meta == $option['value'] ? ' checked="checked"' : '', ' />', $option['name'];
                }
                break;
            case 'checkbox':
                echo '<input type="checkbox" name="', $field['id'], '" id="', $field['id'], '"', $meta ? ' checked="checked"' : '', ' />';
                break;
        }
        echo '<td>',
        '</tr>';
    }



    echo '</table>';
}

add_action('save_post', 'event_metabox_save_data');

// Save data from meta box

function event_metabox_save_data($post_id) {

    global $meta_box;


    // verify the request via nonce

    if (isset($_POST['event_meta_box_nonce'])) {
        if (!wp_verify_nonce($_POST['event_meta_box_nonce'], basename(__FILE__))) {
            return $post_id;
        }
    }



    // check  for autosave

    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
        return $post_id;
    }



    // check for  permissions
    if (isset($_POST['post_type'])) {
        if ('page' == $_POST['post_type']) {
            if (!current_user_can('edit_page', $post_id)) {
                return $post_id;
            }
        } elseif (!current_user_can('edit_post', $post_id)) {
            return $post_id;
        }
    }


    foreach ($meta_box['fields'] as $field) {
        $old = get_post_meta($post_id, $field['id'], true);
        $new=null;
        if(isset($_POST[$field['id']])){
        $new = $_POST[$field['id']];
        }
        if ($new && $new != $old) {
            update_post_meta($post_id, $field['id'], $new);
        } elseif ('' == $new && $old) {
            delete_post_meta($post_id, $field['id'], $old);
        }
    }
}

// Add meta box

function add_meta_box_to_event() {
    global $meta_box;
    add_meta_box($meta_box['id'], $meta_box['title'], 'show_meta_box', $meta_box['page'], $meta_box['context'], $meta_box['priority']);
   
}

function smw_enqueue(){
    wp_register_script( 'datepicker', plugins_url('js/ui/minified/jquery.ui.datepicker.min.js',__FILE__),array('jquery'));
    wp_enqueue_script( 'datepicker' );
   
    wp_register_style( 'prefix-style', plugins_url('style/themes/flick/jquery.ui.all.css', __FILE__) );
    wp_enqueue_style( 'prefix-style' );
    wp_register_script( 'custom', plugins_url('js/custom.js',__FILE__),array('jquery'));
    wp_enqueue_script( 'custom' );
}



function smw_front_enqueue(){
    
    wp_register_script( 'juqery_ui', plugins_url('js/jquery-ui.min.js',__FILE__),array('jquery'));
    wp_enqueue_script( 'juqery_ui' );
   
  
    
    wp_register_script( 'datepicker', plugins_url('js/ui/minified/jquery.ui.datepicker.min.js',__FILE__),array('jquery'));
    wp_enqueue_script( 'datepicker' );
   
    wp_register_style( 'smw_fonts', plugins_url('fonts/fonts.css', __FILE__) );
    wp_enqueue_style( 'smw_fonts' );
    
    wp_register_style( 'smw_style', plugins_url('style/style.css', __FILE__) );
    wp_enqueue_style( 'smw_style' );
    
    wp_register_style( 'smw_style2', plugins_url('style/style2.css', __FILE__) );
    wp_enqueue_style( 'smw_style2' );
    
     wp_register_style( 'juqery_ui_css', plugins_url('style/themes/base/jquery.ui.all.css', __FILE__) );
    wp_enqueue_style( 'juqery_ui_css' );
    
    
    wp_register_script( 'custom', plugins_url('js/front_custom.js',__FILE__),array('jquery'));
    wp_enqueue_script( 'custom' );
}


?>